package com.ofss.fcubs.gw.ws.types.fcubsifservice;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;
import javax.xml.ws.Service;

/**
 * This class was generated by Apache CXF 3.2.1
 * 2018-11-14T22:10:58.568+01:00
 * Generated source version: 3.2.1
 * 
 */
@WebServiceClient(name = "FCUBSIFService", 
                  wsdlLocation = "file:FCUBSIFService.wsdl",
                  targetNamespace = "http://FCUBSIFService.types.ws.gw.fcubs.ofss.com") 
public class FCUBSIFService extends Service {

    public final static URL WSDL_LOCATION;

    public final static QName SERVICE = new QName("http://FCUBSIFService.types.ws.gw.fcubs.ofss.com", "FCUBSIFService");
    public final static QName FCUBSIFServiceSEI = new QName("http://FCUBSIFService.types.ws.gw.fcubs.ofss.com", "FCUBSIFServiceSEI");
    static {
        URL url = null;
        try {
            url = new URL("file:FCUBSIFService.wsdl");
        } catch (MalformedURLException e) {
            java.util.logging.Logger.getLogger(FCUBSIFService.class.getName())
                .log(java.util.logging.Level.INFO, 
                     "Can not initialize the default wsdl from {0}", "file:FCUBSIFService.wsdl");
        }
        WSDL_LOCATION = url;
    }

    public FCUBSIFService(URL wsdlLocation) {
        super(wsdlLocation, SERVICE);
    }

    public FCUBSIFService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public FCUBSIFService() {
        super(WSDL_LOCATION, SERVICE);
    }
    




    /**
     *
     * @return
     *     returns FCUBSIFServiceSEI
     */
    @WebEndpoint(name = "FCUBSIFServiceSEI")
    public FCUBSIFServiceSEI getFCUBSIFServiceSEI() {
        return super.getPort(FCUBSIFServiceSEI, FCUBSIFServiceSEI.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns FCUBSIFServiceSEI
     */
    @WebEndpoint(name = "FCUBSIFServiceSEI")
    public FCUBSIFServiceSEI getFCUBSIFServiceSEI(WebServiceFeature... features) {
        return super.getPort(FCUBSIFServiceSEI, FCUBSIFServiceSEI.class, features);
    }

}
